export function create2DArray<T>(
  height: number,
  width: number,
  cell: T | ((x: number, y: number) => T),
): T[][] {
  return Array.from({ length: height }, (_, y) =>
    Array.from({ length: width }, (_, x) => (cell instanceof Function ? cell(x, y) : cell)),
  );
}

export function get2DArrayItem<T>(
  grid: T[][],
  first: number,
  second: number,
  colFirst: boolean,
): T {
  return colFirst ? grid[first][second] : grid[second][first];
}
